# eric7.Plugins.VcsPlugins.vcsGit.GitSubmodulesDeinitDialog

Module implementing a dialog to get the data for a submodule deinit operation.

### Global Attributes

None

### Classes

GitSubmodulesDeinitDialog | Class implementing a dialog to get the data for a submodule deinit operation.

### Functions

None

## GitSubmodulesDeinitDialog

Class implementing a dialog to get the data for a submodule deinit operation.

### Derived from

QDialog, Ui_GitSubmodulesDeinitDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitSubmodulesDeinitDialog | Constructor
__updateOK | Private slot to update the state of the OK button.
getData | Public method to get the entered data.
on_allCheckBox_toggled | Private slot to react on changes of the all checkbox.
on_submodulesList_itemSelectionChanged | Private slot to react on changes of the submodule selection.

### Static Methods

None

#### GitSubmodulesDeinitDialog (Constructor)

GitSubmodulesDeinitDialog(submodulePaths, parent=None)

Constructor

submodulePaths (list of str)
  list of submodule paths
parent (QWidget)
  reference to the parent widget

#### GitSubmodulesDeinitDialog.__updateOK

__updateOK()

Private slot to update the state of the OK button.

#### GitSubmodulesDeinitDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing a flag to indicate all submodules, a list of selected submodules and a flag indicating an enforced operation

Return Type:
  tuple of (bool, list of str, bool)

#### GitSubmodulesDeinitDialog.on_allCheckBox_toggled

on_allCheckBox_toggled(checked)

Private slot to react on changes of the all checkbox.

checked (bool)
  state of the checkbox

#### GitSubmodulesDeinitDialog.on_submodulesList_itemSelectionChanged

on_submodulesList_itemSelectionChanged()

Private slot to react on changes of the submodule selection.

Up